#ifndef ENEMYMANUFACTURER_H
#define ENEMYMANUFACTURER_H

#include "manufacturer.h"
#include "enemy.h"

class CEnemyManufacturer : public IManufacturer
{
public:
    CEnemyManufacturer() {}
    virtual ~CEnemyManufacturer() {}

    IEntity* Create() {return new CEnemy();}
    IEntity* Create( CSprite* sprite ) {CEnemy* temp = new CEnemy(); temp->Init(sprite); return temp;}
};

#endif // ENEMYMANUFACTURER_H
